summaryrefslogtreecommitdiff
path: root/debian/exim4-daemon-light.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/exim4-daemon-light.postinst')
-rw-r--r--debian/exim4-daemon-light.postinst29
1 files changed, 29 insertions, 0 deletions
diff --git a/debian/exim4-daemon-light.postinst b/debian/exim4-daemon-light.postinst
new file mode 100644
index 0000000..f2c5e9d
--- /dev/null
+++ b/debian/exim4-daemon-light.postinst
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+[ -n "$EX4DEBUG" ] && set -x
+
+case "$1" in
+ configure)
+
+ # needed for woody: "start" will fail on dpkg-reconfigure because
+ # daemon is already running.
+ # Afaik this has changed, dpkg-reconfigure from sid/sarge will call
+ # prerm on reconfigure.
+ # || true is needed for succesfull installation with configtype 'none'
+ if [ -x /etc/init.d/exim4 ]; then
+ if command -v invoke-rc.d >/dev/null 2>&1; then
+ invoke-rc.d exim4 start || invoke-rc.d exim4 reload || true
+ else
+ /etc/init.d/exim4 start || /etc/init.d/exim4 reload || true
+ fi
+ fi
+ db_stop
+
+ ;;
+esac
+
+#DEBHELPER#